### Hierarchy

- DateTimePickerComponent

### Implements

- OnChanges
- OnInit

## Index

### Inputs

- batchText
- dateFormat
- dateTimeRanges
- flatpickrOptions
- hasAbsolute
- hasRelative
- language
- placeholder
- relativeToOptions
- selected
- theme

### Outputs

- apply
- cancel
- selectedChange

### Constructors

- constructor

### Properties

- apply
- batchText
- cancel
- dateFormat
- datePickerFormat
- dateTimeRanges
- disabled
- elementRef
- expanded
- flatpickrOptions
- hasAbsolute
- hasRelative
- i18n
- language
- placeholder
- previousSelection
- relativeToOptions
- selected
- selectedChange
- selectingCustomRange
- theme
- timeFormat
- wrapper

### Accessors

- tooltipOffset

### Methods

- formatCurrentRange
- formatCurrentRangeTitle
- formatCustomRange
- navigateList
- ngOnChanges
- ngOnInit
- onApply
- onBack
- onCancel
- rangeChange
- selectPresetRange
- togglePicker
- updateAbsoluteDateFormat
- updateI18nTranslationString

## Constructors

### constructor

- new DateTimePickerComponent(elementRef: ElementRef<any>, i18n: I18n): DateTimePickerComponent

- - Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:314

  #### Parameters

  - ##### elementRef: ElementRef<any>

  - ##### i18n: I18n

  #### Returns DateTimePickerComponent

## Properties

### apply

@Output()
apply: EventEmitter<DateRange> = ...

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:301

### batchText

@Input()
batchText: BatchLabelText = ...

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:264

### cancel

@Output()
cancel: EventEmitter<void> = ...

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:302

### dateFormat

@Input()
dateFormat: string = 'yyyy-MM-dd'

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:262

### datePickerFormat

datePickerFormat: string = 'Y-m-d'

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:310

### dateTimeRanges

@Input()
dateTimeRanges: DateTimeRange[] = ...

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:203

### disabled

disabled: boolean = false

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:308

### Protected elementRef

elementRef: ElementRef<any>

### expanded

expanded: boolean = false

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:307

### flatpickrOptions

@Input()
flatpickrOptions: any

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:263

### hasAbsolute

@Input()
hasAbsolute: boolean = true

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:259

### hasRelative

@Input()
hasRelative: boolean = true

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:258

### Protected i18n

i18n: I18n

### language

@Input()
language: string = 'en'

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:256

Language of the flatpickr calendar.

For reference of the possible locales: https://github.com/flatpickr/flatpickr/blob/master/src/l10n/index.ts

### placeholder

@Input()
placeholder: string = 'yyyy-mm-dd HH:mm'

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:261

### previousSelection

previousSelection: DateTimeSelection = null

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:305

### relativeToOptions

@Input()
relativeToOptions: RelativeToOption[] = ...

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:287

### selected

@Input()
selected: DateTimeSelection = null

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:257

### selectedChange

@Output()
selectedChange: EventEmitter<DateTimeSelection> = ...

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:300

### selectingCustomRange

selectingCustomRange: boolean = false

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:306

### theme

@Input()
theme: "light" = null

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:260

### timeFormat

timeFormat: string = 'HH:mm'

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:309

### wrapper

@HostBinding({"hostPropertyName":"'class.iot--date-time-picker__wrapper'"})
wrapper: boolean = true

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:201

## Accessors

### tooltipOffset

- get tooltipOffset(): { x: number; y: number }

- - Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:312

  #### Returns { x: number; y: number }

  - ##### x: number

  - ##### y: number

## Methods

### formatCurrentRange

- formatCurrentRange(): string

- - Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:361

  #### Returns string

### formatCurrentRangeTitle

- formatCurrentRangeTitle(): string

- - Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:350

  #### Returns string

### formatCustomRange

- formatCustomRange(): string

- - Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:379

  #### Returns string

### navigateList

- navigateList(event: KeyboardEvent): void

- - Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:437

  #### Parameters

  - ##### event: KeyboardEvent

  #### Returns void

### ngOnChanges

- ngOnChanges(changes: SimpleChanges): void

- - Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:318

  #### Parameters

  - ##### changes: SimpleChanges

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:327

  #### Returns void

### onApply

- onApply(): void

- - Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:414

  #### Returns void

### onBack

- onBack(): void

- - Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:410

  #### Returns void

### onCancel

- onCancel(): void

- - Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:431

  #### Returns void

### rangeChange

- rangeChange(change: DateTimeSelection): void

- - Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:402

  #### Parameters

  - ##### change: DateTimeSelection

  #### Returns void

### selectPresetRange

- selectPresetRange(range: DateTimeRange): void

- - Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:397

  #### Parameters

  - ##### range: DateTimeRange

  #### Returns void

### togglePicker

- togglePicker(): void

- - Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:461

  #### Returns void

### updateAbsoluteDateFormat

- updateAbsoluteDateFormat(): void

- - Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:337

  #### Returns void

### updateI18nTranslationString

- updateI18nTranslationString(): void

- - Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:346

  #### Returns void

Generated using TypeDoc